# Interface methods for submodule: MembershipFunctionBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FunctionBaseProxy as _FunctionBaseProxy


# Interface methods for class: MembershipFunctionBase
class MembershipFunctionBaseProxy(_FunctionBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Evaluate(self, x: Sequence[float]) -> float:
		""""""
		...

	def SetMeasurementVectorSize(self, s: int) -> None:
		""""""
		...

	def GetMeasurementVectorSize(self) -> int:
		""""""
		...

